// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/text_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface ParagraphNodeOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.ParagraphNode)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>string full_text = 1 [json_name = "fullText"];</code>
   * @return The fullText.
   */
  java.lang.String getFullText();
  /**
   * <code>string full_text = 1 [json_name = "fullText"];</code>
   * @return The bytes for fullText.
   */
  com.google.protobuf.ByteString
      getFullTextBytes();

  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.SegmentNode nodes = 2 [json_name = "nodes"];</code>
   */
  java.util.List<gg.dsepractice.chinese.v1alpha1.SegmentNode> 
      getNodesList();
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.SegmentNode nodes = 2 [json_name = "nodes"];</code>
   */
  gg.dsepractice.chinese.v1alpha1.SegmentNode getNodes(int index);
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.SegmentNode nodes = 2 [json_name = "nodes"];</code>
   */
  int getNodesCount();
}
